* {
  margin: 0;
  padding: 0;
  font-family: "Poiret One", sans-serif;
  font-weight: 400;
  font-style: normal;
  font-size: 1.2rem;
}

:root {
    --brand-background: #102C57;   
    --text-on-dark: #F8F0E5;
    --border-color: #EADBC8;
    --hover-color: #cab296;
}

/* General settings */ 

html {
  scroll-behavior: smooth;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

.menu-section .section-content .menu-list .menu-item a {
  text-decoration: none;
  color: #000;
}

button {
  cursor: pointer;
  border: none;
  background: none;
}

img {
  width: 100%;
}

.section-content {
  margin: 0 auto;
  padding: 0 20px;
}

.section-title {
  padding: 60px;
  text-align: center;
  text-transform: uppercase;
  font-size: 5rem;
}

.section-title:after {
  content: "";
  width: 150px;
  height: 5px;
  margin: 10px auto 0;
  border-radius: 200px;
  background: var(--hover-color);
  display: block;
}

/* Navbar */

header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 10;
  backdrop-filter: blur(5px);
  transition: top 0.3s ease, background-color 0.3s ease, backdrop-filter 0.3s ease;
  -webkit-backdrop-filter: blur(5px);
}


header .navbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-top: 0;
  padding-bottom: 0;
}

.navbar .nav-logo .logo-text {
  color: var(--text-on-dark);
}

.nav-logo {
  display: flex;
  align-items: center;
}

.logo-icon {
  width: 130px;   
  height: auto;
  object-fit: contain;
}

.navbar .nav-menu {
  display: flex;
  gap: 10px;
}

.navbar .nav-menu .nav-link {
  padding: 10px 18px;
  color: #fff0dd;
  transition: 0.3s ease;
  font-size: 1.3rem;
}

.navbar .nav-menu .nav-link:hover {
  color: #cab296;
  transition: 0.3s ease;
  text-decoration: underline;
  font-weight: 400;
  letter-spacing: 0.5px;
  transform: scaleY(1.03);
}

.navbar .nav-menu .nav-link.active {
  color: var(--hover-color);
  font-weight: 400;
  letter-spacing: 0.5px;
  transform: scaleY(1.03);
  text-decoration: underline;
}



.navbar :where(#menu-close-button, #menu-open-button) {
  display: none;
}

.hero-section {
  position: relative;
  min-height: 100vh;
  background-image: url('../assets/img/chezmaram_hero.webp');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  color: var(--text-on-dark);
  display: flex;
  align-items: center;
}

.hero-section .section-content {
  display: flex;
  align-items: center;
  min-height: 100vh;
  color: var(--text-on-dark);
  justify-content: center;
}

.hero-section::before {
  content: '';
  position: absolute;
  top: 0; left: 0;
  width: 100%; height: 100%;
  background: rgba(0, 0, 0, 0.7); 
}

.hero-section .section-content {
  position: relative;
  color: #fff0dd;
}

.hero-section .hero-details .title {
  font-size: 6rem;
  text-align: center;
}

.hero-section .hero-details .subtitle {
  font-size: 1.7rem;
  margin-top: 20px;
  text-align: center;
  font-weight: 400;
  letter-spacing: 0.5px;
  transform: scaleY(1.03);
}

.hero-cta {
  margin-top: 40px;
  display: flex;
  justify-content: center;
}

.hero-button {
  padding: 14px 36px;
  border-radius: 40px;
  border: 1px solid var(--hover-color);
  color: var(--text-on-dark);
  font-size: 1.2rem;
  letter-spacing: 0.5px;
  transition: all 0.3s ease;
}

.hero-button:hover {
  background: var(--hover-color);
  color: #000;
}

.about-highlights {
  display: flex;
  gap: 30px;
  justify-content: center;
  margin-top: 30px;
  margin-bottom: 50px;
  flex-wrap: wrap;
}

.about-highlights li {
  display: flex;
  align-items: center;
  gap: 10px;
  font-size: 1.2rem;
}

.about-highlights i {
  color: black;
}


.curve-divider {
  position: relative;
  background-color: #fff0dd;
  height: 30px; 
}


.curve-divider::before {
  content: "";
  position: absolute;
  top: -150px;
  left: 0;
  width: 100%;
  height: 155px;
  background: url("data:image/svg+xml;utf8,<svg viewBox='0 0 1440 150' xmlns='http://www.w3.org/2000/svg'><path fill='%23fff0dd' d='M0,0 C360,190 1080,10 1440,0 L1440,150 L0,150 Z'></path></svg>") no-repeat center top;
  background-size: cover;
}

.about-section {
  padding: 100px 0;
  background-color: #fff0dd;
}

.about-section .section-content {
  display: flex;
  align-items: center;
  gap: 50px;
  justify-content: space-between;
}

.about-section .about-image-wrapper .about-image {
  width: 500px;
  height: 500px;
  object-fit: cover;
  border-radius: 200px;
  background: rgba(0, 0, 0, 0.5);
}

.about-section .about-details .title {
  padding: 0;
}

.about-section .about-details .text {
  line-height: 30px;
  margin: 20px 0px 30px;
  text-align: center;
  font-size: 1.4rem;
  
}

.about-section .social-link-list {
  display: flex;
  gap: 25px;
  justify-content: center;

}

.about-section .social-link-list .social-link {
  color: #000000;
  transition: 0.2s ease;
}

.about-section .social-link-list .social-link:hover {
  color: #8b8a8a;
}

.about-section .social-link-list .social-link i {
  font-size: 1.3rem; 
}

header.scrolled {
  background-color: rgba(230, 210, 187, 0.2);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border-bottom: 1px solid rgba(0, 0, 0, 0.1);
}

header.scrolled .navbar .nav-menu .nav-link,
header.scrolled #menu-open-button {
  color: #000000;
}

header.scrolled .logo-icon {
  content: url('../assets/img/chezmaram_logo_dark.webp'); 
}

.menu-section {
  background: #fbe7ce;
  padding: 50px 0 100px;
}

.menu-section .menu-list {
  display: flex;
  flex-wrap: wrap;
  gap: 110px;
  align-items: center;
  padding: 0 10px;
  justify-content: space-between;
}

.menu-section .menu-list .menu-item {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: space-between;
  text-align: center;
  width: calc(100% / 3 - 110px);
}

.menu-section .menu-list .menu-item:hover {
  transform: scale(1.02);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.menu-section .menu-list .menu-item .menu-image {
  width: 220px;
  height: 220px;
  border-radius: 40%;
  object-fit: cover;
  margin-bottom: 15px;
}

.menu-section .menu-list .menu-item .name {
  margin: 12px 0;
  font-size: 2.3rem;
  font-weight: 400;
  letter-spacing: 0.5px;
  transform: scaleY(1.03);
}

.menu-section .menu-list .menu-item .text {
  font-size: 1.3rem;

}

/* Horaires Section */
.time-section {
  background-color: #fbe7ce;
  padding: 50px 0;
  text-align: center;
}

.time-section .section-title {
  padding-bottom: 20px;
}

.time-section .subtitle {
  font-size: 1.4rem;
  margin-bottom: 70px;
  color: #333;
}

.time-section .time-map-wrapper {
  display: flex;
  gap: 160px;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  margin-top: 40px;
  padding-left: 230px;
}

.time-section .map-wrapper {
  flex: 1;
  min-width: 300px;
  max-width: 600px;
  height: 400px;
  overflow: hidden;
  border-radius: 15px;
  box-shadow: 0 5px 15px rgba(0,0,0,0.1);
}

.time-section .opening-hours {
  flex: 1;
  font-size: 1.3rem;
  line-height: 2.2;
  list-style: none;
  padding: 0;
  text-align: left;
}

.time-section .opening-hours i {
  margin-right: 12px;
  color: var(--hover-color);
  width: 20px;
  text-align: left;
}

.time-section {
  padding: 80px;
}

.contact-section {
  padding: 80px 40px;
  background: rgb(10, 10, 10);
}

.contact-section .section-content {
  display: flex;
  flex-wrap: wrap;
  gap: 60px;
  justify-content: space-between;
  align-items: flex-start;
  max-width: 1200px;
  margin: 0 auto;
}

.contact-info-list {
  flex: 1;
  min-width: 280px;
}

.contact-form {
  flex: 1;
  min-width: 300px;
}

.contact-section .section-title {
  color: #eeeeee;
}

.contact-section .contact-info-list .contact-info {
  display: flex;
  gap: 15px;
  margin: 20px 0;
  align-items: center;
  font-size: 1.2rem;
  color: #eeeeee;
}

.contact-section .contact-info-list .contact-info i {
  font-size: 1.7rem;
  color: #eeeeee;
}

.contact-section .contact-form .form-input {
  width: 100%;
  height: 50px;
  background: #eeeeee;
  outline: none;
  margin-bottom: 20px;
  padding: 0 15px;
  border-radius: 12px;
  border: 1px solid #ccc;
  font-size: 1rem;
}

.contact-section .contact-form .form-input:focus {
  border-color: #f9f5f5;
}

.contact-section .contact-form textarea {
  height: 120px;
  padding: 12px;
  resize: vertical;
}

.contact-section .form-note {
  margin-top: 20px;
  font-size: 1rem;
}

.contact-section .submit-button {
  background-color: var(--hover-color);
  color: rgb(0, 0, 0);
  padding: 12px 28px;
  border-radius: 30px;
  border: none;
  cursor: pointer;
  font-size: 1rem;
  transition: background-color 0.3s ease;
}

.contact-section .submit-button:hover {
  background-color: #95836e;
}

.footer-section {
  background-color: rgb(10, 10, 10);
  color: #eeeeee;
  padding: 40px 20px;
  font-size: 1.1rem;
  font-family: "Poiret One", sans-serif;
}

.footer-content {
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  gap: 10px;
  text-align: center;
}

.footer-left {
  flex: 1;
  text-align: left;
}

.footer-socials {
  display: flex;
  gap: 20px;
  justify-content: center;
  align-items: center;
  flex: 1;
}

.footer-socials .social-link {
  color: #eeeeee;
  font-size: 1.3rem;
  transition: color 0.3s ease;
}

.footer-socials .social-link:hover {
  color: #eeeeee;
}

.footer-links {
  display: flex;
  align-items: center;
  gap: 10px;
  justify-content: flex-end;
  flex: 1;
}

.footer-link {
  color: #eeeeee;
  text-decoration: none;
  font-size: 1.1rem;
  transition: color 0.3s ease;
}

.footer-link:hover {
  color: var(--hover-color);
}

.footer-links .dot {
  font-size: 1.2rem;
  color: var(--text-on-dark);
}

.footer-link:hover {
  color: var(--hover-color);
}

.footer-socials .social-link:hover {
  transform: translateY(-2px);
  transition: transform 0.2s ease;
  color: #aeaeae;
}

.modal-overlay {
  position: fixed;
  z-index: 9999;
  left: 0; top: 0;
  width: 100%; height: 100%;
  background: rgba(0, 0, 0, 0.6);
  display: none;
  align-items: center;
  justify-content: center;
}

.modal-content {
  background: #fff0dd;
  padding: 30px;
  border-radius: 12px;
  width: 90%;
  max-width: 600px;
  color: black;
  box-shadow: 0 5px 25px rgba(0,0,0,0.3);
  text-align: left;
}

.modal-content h2 {
  font-size: 2rem;
  margin-bottom: 15px;
}

.modal-content p {
  font-size: 1.1rem;
  line-height: 1.6;
}

.modal-close {
  margin-top: 20px;
  background: black;
  color: white;
  padding: 10px 20px;
  border-radius: 6px;
  border: none;
  cursor: pointer;
  font-size: 1rem;
  transition: background 0.2s;
}

.modal-close:hover {
  background: var(--hover-color);
}

.footer-credit {
  background-color: rgb(10, 10, 10);
  color: #eeeeee;
  font-size: 0.55rem;
  text-align: center;
  padding: 10px;
  font-family: "Poiret One", sans-serif;
  border-top: #242424 1px solid;
}

.footer-credit a {
  color: var(--hover-color);
  text-decoration: underline;
  font-size: 0.58rem;
  transition: color 0.3s ease;
}

.footer-credit a:hover {
  color: #eeeeee;
}


/* Mobile responsiveness */
@media screen and (max-width: 768px) {
  .footer-content {
    flex-direction: column;
    gap: 15px;
  }

  .footer-links {
    justify-content: center;
  }

  .footer-left, .footer-socials, .footer-links {
    flex: unset;
  }
}

@media screen and (max-width: 1024px) {
  .menu-section .menu-list {
    gap: 60px;
  }

  .menu-section .menu-list .menu-item {
    width: calc(100% / 3 - 60px);
  }
}
/* Here for small screens */
@media screen and (max-width: 900px) {
  
  .hero-section .hero-details .title{
    font-size: 3.3rem;
  }

  .hero-section .hero-details .subtitle{
    font-size: 0.95rem;
    padding: 10px 10px 0 10px;
  }
  
  .navbar .nav-menu {
    position: fixed;
    left: -100%;
    top: 0;
    width: 250px;
    height: 100vh;
    background: #fff0dd;
    flex-direction: column;
    align-items: center;
    padding-top: 100px;
    transition: left 0.3s ease;
  }

  .navbar .nav-menu .nav-link {
    margin: 20px 0;
    color: #000;
  }

  body.show-mobile-menu header::before {
    content: "";
    position: fixed;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
  }

  .mobile-blur-overlay {
    position: fixed;
    top: 0;
    left: 0;  
    height: 100%;
    width: 100%;
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    background: rgba(0, 0, 0, 0.2);
    display: none;
  }

  body.show-mobile-menu .mobile-blur-overlay {
    display: block;
  }

  body.show-mobile-menu .navbar .nav-menu {
    left: 0;
  }

  .navbar .nav-menu .nav-link {
    color: black;
    display: block;
    margin-top: 30px;
  }

  .navbar .nav-menu .nav-link.active {
    color: #000000;
  }

  .navbar #menu-close-button {
    display: block;
    position: absolute;
    right: 30px;
    top: 30px;
    background: none;
    color: #000;
  }

  .navbar #menu-open-button {
    display: block;
    color: #fff0dd;
  }

  .navbar :where(#menu-close-button, #menu-open-button) {
    display: block;
  }

  .about-section .section-content {
    flex-direction: column-reverse;
    gap: 70px;
  }

  .about-section .about-image-wrapper .about-image {
    width: 100%;
    height: 100%;
    max-width: 250px;
    aspect-ratio: 1;
  }

  .section-title {
    font-size: 2.3rem;
  }

  .section-title:after {
    content: "";
    width: 90px;
    height: 5px;
    margin: 10px auto 0;
    border-radius: 200px;
    background: var(--hover-color);
    display: block;
  }

  .about-section .about-details .text {
    font-size: 1.2rem;
    margin-bottom: 60px;
  }

  .menu-section .menu-list {
    gap: 30px;
  }

  .menu-section .menu-list .menu-item {
    width: calc(100% / 2 - 30px);
  }
  
  .menu-section .menu-list .menu-item .menu-image {
    max-width: 200px;
  }

  .menu-section .menu-list .menu-item .name {
    font-size: 2.5rem;

  }

  .menu-section .menu-list .menu-item .text {
    font-size: 1.2rem;
  }

  .menu-section .menu-list .menu-item .menu-image {
    width: 180px;
    height: 180px;
    border-radius: 50%;
    object-fit: cover;
  }

  .curve-divider::before {
    content: "";
    position: absolute;
    top: -120px;
    left: 0;
    width: 100%;
    height: 125px;
    background: url("data:image/svg+xml;utf8,<svg viewBox='0 0 1440 150' xmlns='http://www.w3.org/2000/svg'><path fill='%23fff0dd' d='M0,0 C360,150 1080,150 1440,0 L1440,150 L0,150 Z'></path></svg>") no-repeat center top;
    background-size: cover;
  }

  .contact-section {
    padding: 30px 15px;
  }

  .contact-section .contact-form .form-input {
    width: 90%;
    height: 50px;
    margin-bottom: 20px;
    padding: 0 15px;
  }

  .hero-section {
    background-image: url('../assets/img/chezmaram_hero_ss.webp');
  }

  .hero-section::before {
    background: rgba(9, 4, 0, 0.84); 
  }

  .footer-link {
    font-size: 1rem;
  }

  .footer-links .dot {
    font-size: 0.1rem;
  }

  .about-section .about-image-wrapper .about-image {
    border-radius: 150px;
  }

  .logo-icon {
    width: 110px;
  }

}

@media screen and (max-width: 640px) {

  .menu-section .menu-list {
    gap: 60px;
  }

  .menu-section .menu-list .menu-item {
    width: 100%;
  }

  .time-section {
    padding: 20px;
  }

  .time-section .time-map-wrapper {
    padding-left: 10px;
  } 

}

@media screen and (max-width: 768px) {
  .time-section .time-map-wrapper {
    flex-direction: column;
    gap: 40px;
    align-items: center;
  }

  .time-section .opening-hours {
    font-size: 1.2rem;
    line-height: 2;
    text-align: center;
  }

  .time-section .opening-hours li {
    margin-bottom: 5px;
    font-size: 1.1rem;
  }

  .time-section .opening-hours i {
    display: inline-block;
    width: auto;
    margin-right: 8px;
  }

  .time-section .map-wrapper {
    width: 100%;
    max-width: 90vw;
    height: 300px;
  }
}

@media screen and (max-width: 395px) {
  .hero-section .hero-details .title{
    font-size: 3.1rem;
  }

  .hero-section .hero-details .subtitle{
    font-size: 0.95rem;
    padding: 3px 10px 0 10px;
  }
}

body.show-mobile-menu #menu-open-button {
  color: #000 !important;
}
/* =========================
   Experience Section
========================= */

.experience-section {
  background: #fff0dd;
  padding: 100px 0;
  position: relative;
}

.experience-divider {
  position: absolute;
  left: 0;
  width: 100%;
  height: 60px;
  background: #fff0dd;
}

.experience-divider.top {
  top: -30px;
}

.experience-divider.bottom {
  bottom: -30px;
}

.experience-grid {
  display: flex;
  gap: 80px;
  justify-content: center;
  flex-wrap: wrap;
  margin-top: 60px;
}

.experience-item {
  width: 260px;
  text-align: center;
  opacity: 0;
  transform: translateY(40px);
  transition: opacity 1.6s ease, transform 1.6s ease;
}

.experience-item.active {
  opacity: 1;
  transform: translateY(0);
}

.experience-item i {
  font-size: 2.4rem;
  color: var(--hover-color);
  margin-bottom: 15px;
}

.experience-item h3 {
  font-size: 1.8rem;
  margin-bottom: 15px;
}

/* Animated bar */
.experience-bar {
  width: 100%;
  height: 4px;
  background: rgba(0,0,0,0.15);
  border-radius: 20px;
  overflow: hidden;
  margin-bottom: 20px;
}

.experience-bar span {
  display: block;
  height: 100%;
  width: 0%;
  background: var(--hover-color);
  transition: width 2s ease;
}

.experience-item.active .experience-bar span {
  width: 100%;
}

.experience-item p {
  font-size: 1.2rem;
  line-height: 1.6;
}
